Bug 1457368 - dnf repoquery --obsoletes does not work
Summary: dnf repoquery --obsoletes does not work
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 26
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Regression, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-31 15:05 UTC by Miro Hrončok
Modified: 2018-04-11 07:33 UTC (History)
7 users (show)

Fixed In Version: dnf-2.6.2-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-25 16:55:46 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Miro Hrončok 2017-05-31 15:05:33 UTC
Description of problem:
The --obsoletes option does not return the list of obsoletes.

Version-Release number of selected component (if applicable):
dnf-2.4.1-1.fc26.noarch
dnf-2.5.0-2.fc26.noarch

How reproducible:
In mock as well as on my machine

Steps to Reproduce:
1. dnf repoquery --obsoletes python2-2.7.13-8.fc26.x86_64 --releasever 26


Actual results:
python2-0:2.7.13-8.fc26.x86_64

Expected results:
python < 2.7.13-2

Additional info:
Works on Fedora 25.

Comment 1 Jaroslav Mracek 2017-06-13 16:32:57 UTC
There is a pull-request that should help (https://github.com/rpm-software-management/dnf/pull/839)

Comment 2 Fedora Update System 2017-07-24 14:51:27 UTC
libdnf-0.9.3-1.fc26 dnf-plugins-core-2.1.3-1.fc26 dnf-2.6.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f4c06b2d7

Comment 3 Fedora Update System 2017-07-25 04:26:57 UTC
dnf-2.6.2-1.fc26, dnf-plugins-core-2.1.3-1.fc26, libdnf-0.9.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f4c06b2d7

Comment 4 Fedora Update System 2017-07-25 16:55:46 UTC
dnf-2.6.2-1.fc26, dnf-plugins-core-2.1.3-1.fc26, libdnf-0.9.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.